package com.yeejoin.amos.fas.business.service.intfc;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import org.springframework.data.domain.Page;

import java.util.HashMap;

public interface IFmeaService {

    /**
     * 维护Fmea模型
     */
    void editFmea(HashMap<String, Object> map);

    /**
     * 根据ID删除Fmea
     */
    void deleteFmea(Long[] fmeaIds);

    /**
     * 分页查询Fmea
     */
    Page<HashMap<String, Object>> queryFmeaList(CommonPageInfoParam param,String toke,String product,String appKey);

//
//	 void updateRpniInfo(Long riskSourceId);

    /**
     * 查询关联的关联对象个数
     */
    int queryControlObjCount(String[] ids);

}
